<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:21:36 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.transformation.base 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.transformation.base 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:Q">Q</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<a href="#I:X">X</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/ElementFilter.html#acceptElement-org.eclipse.uml2.uml.Element-">acceptElement(Element)</a></span> - Method in interface org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/ElementFilter.html" title="interface in org.eclipse.papyrus.designer.transformation.base">ElementFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.base"><span class="typeNameLink">Activator</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/package-summary.html">org.eclipse.papyrus.designer.transformation.base</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.base">Activator</a></dt>
<dd>
<div class="block">The constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html#addRealization-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Interface-">addRealization(Class, Interface)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">RealizationUtils</a></dt>
<dd>
<div class="block">Add an interface realization relationship from an implementation (Class) towards an interface</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#addResource-org.eclipse.emf.common.util.URI-org.eclipse.uml2.uml.Element-">addResource(URI, Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>
<div class="block">Add the resource with a given URI to the resource set of the passed element</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#addResource-org.eclipse.emf.common.util.URI-org.eclipse.emf.ecore.resource.ResourceSet-">addResource(URI, ResourceSet)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>
<div class="block">add a resource with a given URI to a resource set</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html#addUsage-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Interface-">addUsage(Class, Interface)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">RealizationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html#applyDE-org.eclipse.uml2.uml.Element-">applyDE(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil</a></dt>
<dd>
<div class="block">Apply the derived element stereotype to a model element</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">ApplyProfile</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">This class applies a profile to a given package</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html#ApplyProfile-org.eclipse.uml2.uml.Package-org.eclipse.emf.common.util.URI-">ApplyProfile(Package, URI)</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ApplyProfile</a></dt>
<dd>
<div class="block">Apply a profile to a given package</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html#calcRealizationName-org.eclipse.uml2.uml.Interface-">calcRealizationName(Interface)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">RealizationUtils</a></dt>
<dd>
<div class="block">Calculate the name of an interface realization to an interface</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html#CMD_LABEL">CMD_LABEL</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ApplyProfile</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">CommandSupport</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Utility function.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html#CommandSupport--">CommandSupport()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CommandSupport</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Messages.html#CommandSupport_ErrorDuringCmdExec">CommandSupport_ErrorDuringCmdExec</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Messages.html" title="class in org.eclipse.papyrus.designer.transformation.base">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Messages.html#CommandSupport_NoEditingDomain">CommandSupport_NoEditingDomain</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Messages.html" title="class in org.eclipse.papyrus.designer.transformation.base">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#componentType-org.eclipse.uml2.uml.Class-">componentType(Class)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">this method returns the component type of an implementation.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/UIContext.html#configureProject">configureProject</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/UIContext.html" title="class in org.eclipse.papyrus.designer.transformation.base">UIContext</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StUtils.html#copyAttributes-java.lang.String-org.eclipse.uml2.uml.Element-org.eclipse.uml2.uml.Element-">copyAttributes(String, Element, Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StUtils</a></dt>
<dd>
<div class="block">copy stereotype attributes.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyDefaultValue-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.Property-">copyDefaultValue(Property, Property)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyFeatureModifiers-org.eclipse.uml2.uml.Feature-org.eclipse.uml2.uml.Feature-">copyFeatureModifiers(Feature, Feature)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyID-org.eclipse.emf.ecore.EObject-org.eclipse.emf.ecore.EObject-">copyID(EObject, EObject)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></dt>
<dd>
<div class="block">Copy the (XML) ID from the source to the destination model element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyID-org.eclipse.emf.ecore.EObject-org.eclipse.emf.ecore.EObject-java.lang.String-">copyID(EObject, EObject, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></dt>
<dd>
<div class="block">Copy the (XML) ID from the source to the destination model element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyMultElemModifiers-org.eclipse.uml2.uml.MultiplicityElement-org.eclipse.uml2.uml.MultiplicityElement-">copyMultElemModifiers(MultiplicityElement, MultiplicityElement)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StUtils.html#copyStereotypes-org.eclipse.uml2.uml.Element-org.eclipse.uml2.uml.Element-">copyStereotypes(Element, Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StUtils</a></dt>
<dd>
<div class="block">Copy the stereotype application from a source to a destination element.</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">CopyUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#CopyUtils--">CopyUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyValue-org.eclipse.uml2.uml.ValueSpecification-org.eclipse.uml2.uml.Slot-">copyValue(ValueSpecification, Slot)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></dt>
<dd>
<div class="block">Copy a value to a target slot</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyValue-org.eclipse.uml2.uml.ValueSpecification-org.eclipse.uml2.uml.ValueSpecification-">copyValue(ValueSpecification, ValueSpecification)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CopyUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#cppQName-org.eclipse.uml2.uml.NamedElement-">cppQName(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">TODO: copy&paste from C++ generator (& specific for C++)</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#createNewModel-java.lang.String-">createNewModel(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">Create a new empty model from an existing model that applies the same
 profiles and has the same imports</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#createOwnedOperation-org.eclipse.uml2.uml.Classifier-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.uml2.uml.Type-">createOwnedOperation(Classifier, String, EList&lt;String&gt;, EList&lt;Type&gt;, Type)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>
<div class="block">Convenience method enabling to apply getOwnedOperation equally to classes
 and interfaces</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">CreationUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html#CreationUtils--">CreationUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CreationUtils</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#debug-java.lang.String-">debug(String)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#declareDependency-org.eclipse.uml2.uml.Type-org.eclipse.uml2.uml.Type-">declareDependency(Type, Type)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Convenience function: Declare a dependency from source to destination.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html#decodeID-java.lang.String-">decodeID(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FileUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#DEP_PROFILE_URI">DEP_PROFILE_URI</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#dereferenceTypedef-org.eclipse.uml2.uml.Type-">dereferenceTypedef(Type)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">TODO: Specific to C++</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Messages.html#Description_NoAvail">Description_NoAvail</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Messages.html" title="class in org.eclipse.papyrus.designer.transformation.base">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">DescriptionUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Set of static operations to retrieve the comment for an element</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html#DescriptionUtils--">DescriptionUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">DescriptionUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#DESIGNER_MARTE_CALLS_URI">DESIGNER_MARTE_CALLS_URI</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#DESIGNER_TRAFOLIB_URI">DESIGNER_TRAFOLIB_URI</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#dispose--">dispose()</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html#doExecute--">doExecute()</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ApplyProfile.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ApplyProfile</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/ElementFilter.html" title="interface in org.eclipse.papyrus.designer.transformation.base"><span class="typeNameLink">ElementFilter</span></a> - Interface in <a href="org/eclipse/papyrus/designer/transformation/base/package-summary.html">org.eclipse.papyrus.designer.transformation.base</a></dt>
<dd>
<div class="block">A common interface for element filtering in dialogs</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">ElementUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>
<div class="block"><span class="deprecationComment">Class has been chiefly moved to ElementUtils in org.eclipse.papyrus.designer.languages.common.base
   Functions that are not related to elements have been moved from ElementUtils to new utility classes
   StringUtils for quoting and variable names
   PartUtils for determining parts (depending on preference setting)
   ListUtils reverse list order</span></div>
</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#ElementUtils--">ElementUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html#encodeID-java.lang.String-">encodeID(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FileUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html#exec-java.lang.String-org.eclipse.core.commands.ExecutionEvent-java.lang.Runnable-">exec(String, ExecutionEvent, Runnable)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CommandSupport</a></dt>
<dd>
<div class="block">Execute the passed Runnable within a command</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html#exec-org.eclipse.emf.ecore.EObject-java.lang.String-java.lang.Runnable-">exec(EObject, String, Runnable)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CommandSupport</a></dt>
<dd>
<div class="block">Execute the passed Runnable within a command</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html#exec-java.lang.String-org.eclipse.core.commands.ExecutionEvent-org.eclipse.papyrus.designer.transformation.base.utils.RunnableWithResult-">exec(String, ExecutionEvent, RunnableWithResult)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CommandSupport</a></dt>
<dd>
<div class="block">Execute the passed Runnable with result within a command</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html#exec-org.eclipse.emf.transaction.TransactionalEditingDomain-java.lang.String-java.lang.Runnable-">exec(TransactionalEditingDomain, String, Runnable)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CommandSupport</a></dt>
<dd>
<div class="block">Execute the passed Runnable within a command</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html#exec-org.eclipse.emf.transaction.TransactionalEditingDomain-org.eclipse.emf.common.command.Command-">exec(TransactionalEditingDomain, Command)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CommandSupport</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#FCM_PROFILE_URI">FCM_PROFILE_URI</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">FileUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html#FileUtils--">FileUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FileUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#filter">filter</a></span> - Variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">FilteringLogHelper</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Simple log helper that filters some messages</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#FilteringLogHelper-org.eclipse.core.runtime.Plugin-">FilteringLogHelper(Plugin)</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>
<div class="block">By default, log warning and debug, but not info message</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#FilteringLogHelper-org.eclipse.core.runtime.Plugin-int-">FilteringLogHelper(Plugin, int)</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html#fragment-org.eclipse.uml2.uml.Element-">fragment(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FileUtils</a></dt>
<dd>
<div class="block">Get the URI fragment of an element within your model
 Useful for transmitting model references</div>
</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html#getAbsoluteFN-java.lang.String-">getAbsoluteFN(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FileUtils</a></dt>
<dd>
<div class="block">Return the absolute file name to a file name given e.g.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getAllElementsOfType-org.eclipse.uml2.uml.Element-java.lang.Class-">getAllElementsOfType(Element, Class&lt;T&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getAllElementsOfType-org.eclipse.uml2.uml.Element-java.lang.Class-org.eclipse.emf.common.util.EList-">getAllElementsOfType(Element, Class&lt;T&gt;, EList&lt;Element&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html#getAndCreate-org.eclipse.uml2.uml.Package-org.eclipse.emf.common.util.EList-boolean-">getAndCreate(Package, EList&lt;Namespace&gt;, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CreationUtils</a></dt>
<dd>
<div class="block">This function returns a Package reference that corresponds to a qualified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html#getAndCreate-org.eclipse.uml2.uml.Package-org.eclipse.emf.common.util.EList-">getAndCreate(Package, EList&lt;Namespace&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CreationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html#getAndCreate-org.eclipse.uml2.uml.Package-java.lang.String-">getAndCreate(Package, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">CreationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html#getAndCreate-org.eclipse.uml2.uml.Package-org.eclipse.emf.common.util.EList-boolean-">getAndCreate(Package, EList&lt;Namespace&gt;, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil</a></dt>
<dd>
<div class="block">This function returns a Package reference that corresponds to a qualified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html#getAndCreate-org.eclipse.uml2.uml.Package-java.lang.String-boolean-">getAndCreate(Package, String, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil</a></dt>
<dd>
<div class="block">Get or create a package within another package (often the root of a model), i.e.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html#getContent-org.eclipse.emf.ecore.resource.Resource-">getContent(Resource)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">LibraryUtils</a></dt>
<dd>
<div class="block">Return the first top-level element of a model</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html#getContent-org.eclipse.emf.common.util.URI-org.eclipse.emf.ecore.resource.ResourceSet-">getContent(URI, ResourceSet)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">LibraryUtils</a></dt>
<dd>
<div class="block">Get the first top-level element of an element stored in the
 modle with a given URI (and loaded into a specified resource set)</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ProjectManagement.html#getCurrentProject--">getCurrentProject()</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ProjectManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ProjectManagement</a></dt>
<dd>
<div class="block">Retrieve current project from active editor</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Activator.html#getDefault--">getDefault()</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.base">Activator</a></dt>
<dd>
<div class="block">Returns the shared instance</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html#getDescription-org.eclipse.uml2.uml.Element-">getDescription(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">DescriptionUtils</a></dt>
<dd>
<div class="block">Return a description of an element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html#getDescription-org.eclipse.uml2.uml.Element-java.lang.String-">getDescription(Element, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">DescriptionUtils</a></dt>
<dd>
<div class="block">Convenience function: Return a description of an element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html#getDescription-org.eclipse.uml2.uml.Element-org.eclipse.uml2.uml.Element-">getDescription(Element, Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/DescriptionUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">DescriptionUtils</a></dt>
<dd>
<div class="block">Return a description or implementation description of an element, i.e.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#getModel--">getModel()</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">provide access to the model</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html#getModelLibraryImportFromURI-org.eclipse.emf.common.util.URI-org.eclipse.emf.ecore.resource.ResourceSet-">getModelLibraryImportFromURI(URI, ResourceSet)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">LibraryUtils</a></dt>
<dd>
<div class="block">Retrieve a model library from the repository</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getNamedElementFromList-org.eclipse.emf.common.util.EList-java.lang.String-">getNamedElementFromList(EList&lt;? extends EObject&gt;, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Retrieve an element from a list of named elements via its name</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ProjectManagement.html#getNamedProject-java.lang.String-">getNamedProject(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ProjectManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ProjectManagement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html#getOrCreateDerivedType-org.eclipse.uml2.uml.Element-java.lang.String-org.eclipse.uml2.uml.Type-org.eclipse.papyrus.designer.transformation.base.utils.MapUtil.ECreateKind-">getOrCreateDerivedType(Element, String, Type, MapUtil.ECreateKind)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil</a></dt>
<dd>
<div class="block">Create a derived type</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#getPackage-org.eclipse.emf.ecore.resource.Resource-">getPackage(Resource)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>
<div class="block">Get the contents of a resource in form of a UML package (all UML resources have a root package).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getParts-org.eclipse.uml2.uml.Class-">getParts(Class)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/PartsUtil.html#getParts-org.eclipse.uml2.uml.Class-">getParts(Class)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/PartsUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">PartsUtil</a></dt>
<dd>
<div class="block">Return the parts of a composite class.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#getPath-org.eclipse.core.resources.IProject-java.lang.String-java.lang.String-">getPath(IProject, String, String)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">Return a path based on project, folder and file name</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getQualifiedElement-org.eclipse.uml2.uml.Package-java.lang.String-">getQualifiedElement(Package, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Get an element via its qualified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getQualifiedElement-org.eclipse.uml2.uml.Package-java.lang.String:A-int-">getQualifiedElement(Package, String[], int)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Retrieve an element via its qualified name within a root package.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getQualifiedElementFromRS-org.eclipse.uml2.uml.Element-java.lang.String-">getQualifiedElementFromRS(Element, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getQualifiedElementFromRS-org.eclipse.emf.ecore.resource.ResourceSet-java.lang.String-">getQualifiedElementFromRS(ResourceSet, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Get an element via its qualified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getReferencedClassifiers-org.eclipse.uml2.uml.Classifier-">getReferencedClassifiers(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">This method returns all types that are referenced by a classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#getResourceSet--">getResourceSet()</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">return the used resource set (a singleton)</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#getRoot-org.eclipse.uml2.uml.Element-java.lang.String-">getRoot(Element, String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#getSameOperation-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Class-">getSameOperation(Operation, Class)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>
<div class="block">Search an identical operation within a class.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html#getSignature-org.eclipse.uml2.uml.TemplateableElement-">getSignature(TemplateableElement)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil</a></dt>
<dd>
<div class="block">Get the template signature of a templateable element (typically a package).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html#getTop-org.eclipse.uml2.uml.Element-">getTop(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil</a></dt>
<dd>
<div class="block">Return the top-level owner of an element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html#getURI-org.eclipse.uml2.uml.Element-">getURI(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FileUtils</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html#hasRealization-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Interface-">hasRealization(Class, Interface)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">RealizationUtils</a></dt>
<dd>
<div class="block">check, whether a realization relationship to a given interface exists</div>
</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#implementsInterface-org.eclipse.uml2.uml.Operation-">implementsInterface(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Return the interface which owns an operation that is implemented by a class.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#implementsInterface-org.eclipse.uml2.uml.Operation-">implementsInterface(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>
<div class="block">Return the interface which owns an operation that is implemented by a class.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#info-java.lang.String-">info(String)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#isComposite-org.eclipse.uml2.uml.InstanceSpecification-">isComposite(InstanceSpecification)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">return true, if an instance specification is a composite, i.e.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#isElementInDifferentModel-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.NamedElement-">isElementInDifferentModel(Package, NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Simple check whether an element is in a different model than the passed
 package It will return true, whenever the the top elements do not match.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#isOperationStereotypeApplied-org.eclipse.uml2.uml.Classifier-java.lang.Class-">isOperationStereotypeApplied(Classifier, Class&lt;? extends EObject&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>
<div class="block">Check whether a certain stereotype is applied to an arbitrary operation of a classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#isSameOperation-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Operation-">isSameOperation(Operation, Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>
<div class="block">Returns true, if two operations are identical.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#isSameOperation-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Operation-boolean-">isSameOperation(Operation, Operation, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>
<div class="block">Returns true, if two operations are identical with optional name check.</div>
</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">LibraryUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html#LibraryUtils--">LibraryUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/LibraryUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">LibraryUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Activator.html#log">log</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.base">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">MapUtil</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html#MapUtil--">MapUtil()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.ECreateKind.html" title="enum in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">MapUtil.ECreateKind</span></a> - Enum in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Get or create a derived type for a given element</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#MARTE_PROFILE_URI">MARTE_PROFILE_URI</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/Messages.html" title="class in org.eclipse.papyrus.designer.transformation.base"><span class="typeNameLink">Messages</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/package-summary.html">org.eclipse.papyrus.designer.transformation.base</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">ModelManagement</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Manages a model (and the associated resource).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#ModelManagement-org.eclipse.uml2.uml.Package-">ModelManagement(Package)</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">Create a new model and associate it with a temporary
 resource</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#ModelManagement--">ModelManagement()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">Create a new model and associate it with a temporary
 resource</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/UIContext.html#monitor">monitor</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/UIContext.html" title="class in org.eclipse.papyrus.designer.transformation.base">UIContext</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">OperationUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#OperationUtils--">OperationUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/package-summary.html">org.eclipse.papyrus.designer.transformation.base</a> - package org.eclipse.papyrus.designer.transformation.base</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/preferences/package-summary.html">org.eclipse.papyrus.designer.transformation.base.preferences</a> - package org.eclipse.papyrus.designer.transformation.base.preferences</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a> - package org.eclipse.papyrus.designer.transformation.base.utils</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#P_ALL_ATTRIBUTES_ARE_CONFIG_ATTRIBUTES">P_ALL_ATTRIBUTES_ARE_CONFIG_ATTRIBUTES</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.preferences.<a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html" title="class in org.eclipse.papyrus.designer.transformation.base.preferences">PapyrusDesignerPreferenceConstants</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#P_CODE_GEN_PREFIX">P_CODE_GEN_PREFIX</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.preferences.<a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html" title="class in org.eclipse.papyrus.designer.transformation.base.preferences">PapyrusDesignerPreferenceConstants</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#P_SHOW_PROV_REQ_AS_PORT_ICONS">P_SHOW_PROV_REQ_AS_PORT_ICONS</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.preferences.<a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html" title="class in org.eclipse.papyrus.designer.transformation.base.preferences">PapyrusDesignerPreferenceConstants</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#P_TREAT_NONE_AS_COMPOSITE">P_TREAT_NONE_AS_COMPOSITE</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.preferences.<a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html" title="class in org.eclipse.papyrus.designer.transformation.base.preferences">PapyrusDesignerPreferenceConstants</a></dt>
<dd>
<div class="block">For attributes, the default "aggregation kind" value is "none".</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html" title="class in org.eclipse.papyrus.designer.transformation.base.preferences"><span class="typeNameLink">PapyrusDesignerPreferenceConstants</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/preferences/package-summary.html">org.eclipse.papyrus.designer.transformation.base.preferences</a></dt>
<dd>
<div class="block">Constant definitions for plug-in preferences</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html#PapyrusDesignerPreferenceConstants--">PapyrusDesignerPreferenceConstants()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.preferences.<a href="org/eclipse/papyrus/designer/transformation/base/preferences/PapyrusDesignerPreferenceConstants.html" title="class in org.eclipse.papyrus.designer.transformation.base.preferences">PapyrusDesignerPreferenceConstants</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#parametersInInout-org.eclipse.uml2.uml.Operation-">parametersInInout(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#parametersNonRet-org.eclipse.uml2.uml.Operation-">parametersNonRet(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#parametersOutInout-org.eclipse.uml2.uml.Operation-">parametersOutInout(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#paramName-org.eclipse.uml2.uml.Parameter-">paramName(Parameter)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>
<div class="block">Return the name of a parameter with a specific handling of return parameters:
 Always return the name "retValue" in case of the latter.</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/PartsUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">PartsUtil</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Utility function that returns the parts of a components.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/PartsUtil.html#PartsUtil--">PartsUtil()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/PartsUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">PartsUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Activator.html#PLUGIN_ID">PLUGIN_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.base">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/ProjectManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">ProjectManagement</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Utility function for project management</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ProjectManagement.html#ProjectManagement--">ProjectManagement()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ProjectManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ProjectManagement</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:Q">
<!--   -->
</a>
<h2 class="title">Q</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#quoteString-java.lang.String-">quoteString(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Put quotes around a string, unless string already starts with a quote.</div>
</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html#REALIZATION_OF">REALIZATION_OF</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">RealizationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">RealizationUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html#RealizationUtils--">RealizationUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/RealizationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">RealizationUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html#relativePath-org.eclipse.uml2.uml.Element-org.eclipse.uml2.uml.Namespace-">relativePath(Element, Namespace)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FileUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FileUtils</a></dt>
<dd>
<div class="block">Return a sequence of namespaces for a given element, starting from the "bottom"
 one, i.e.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#reverse-org.eclipse.emf.common.util.EList-">reverse(EList&lt;T&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/RunnableWithResult.html#run--">run()</a></span> - Method in interface org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/RunnableWithResult.html" title="interface in org.eclipse.papyrus.designer.transformation.base.utils">RunnableWithResult</a></dt>
<dd>
<div class="block">Execute a command</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/RunnableWithResult.html" title="interface in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">RunnableWithResult</span></a> - Interface in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#save--">save()</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">Save a model</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#setURI-java.lang.String-">setURI(String)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">Set the URI of the managed resource via a string</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#setURI-org.eclipse.emf.common.util.URI-">setURI(URI)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">Set the URI of the managed resource</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html#setURI-org.eclipse.core.resources.IProject-java.lang.String-java.lang.String-">setURI(IProject, String, String)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ModelManagement.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ModelManagement</a></dt>
<dd>
<div class="block">Set the URI  model within a given project, folder and postfix</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#SHOW_DEBUG">SHOW_DEBUG</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#SHOW_INFO">SHOW_INFO</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#SHOW_WARN">SHOW_WARN</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Activator.html#start-org.osgi.framework.BundleContext-">start(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.base">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">StdModelLibs</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">This class adds models via a given URI to a resourceSet.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#StdModelLibs--">StdModelLibs()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/Activator.html#stop-org.osgi.framework.BundleContext-">stop(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/Activator.html" title="class in org.eclipse.papyrus.designer.transformation.base">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/StUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">StUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Some functions around stereotype usage.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StUtils.html#StUtils--">StUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html#syncOperation-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Operation-">syncOperation(Operation, Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/OperationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">OperationUtils</a></dt>
<dd>
<div class="block">synchronize source and target operation
 (remove all parameters, copy afterwards)</div>
</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html#TRAFO_PROFILE_URI">TRAFO_PROFILE_URI</a></span> - Static variable in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/StdModelLibs.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">StdModelLibs</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">TransformationException</span></a> - Exception in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Main exception class that is used to represent errors during model transformations</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html#TransformationException-java.lang.String-">TransformationException(String)</a></span> - Constructor for exception org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/utils/TransformationRTException.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">TransformationRTException</span></a> - Exception in <a href="org/eclipse/papyrus/designer/transformation/base/utils/package-summary.html">org.eclipse.papyrus.designer.transformation.base.utils</a></dt>
<dd>
<div class="block">Variant of the transformation exception that extends RuntimeException.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/TransformationRTException.html#TransformationRTException-java.lang.String-">TransformationRTException(String)</a></span> - Constructor for exception org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/TransformationRTException.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">TransformationRTException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#treatNoneAsComposite--">treatNoneAsComposite()</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/PartsUtil.html#treatNoneAsComposite--">treatNoneAsComposite()</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/PartsUtil.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">PartsUtil</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/transformation/base/UIContext.html" title="class in org.eclipse.papyrus.designer.transformation.base"><span class="typeNameLink">UIContext</span></a> - Class in <a href="org/eclipse/papyrus/designer/transformation/base/package-summary.html">org.eclipse.papyrus.designer.transformation.base</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/UIContext.html#UIContext--">UIContext()</a></span> - Constructor for class org.eclipse.papyrus.designer.transformation.base.<a href="org/eclipse/papyrus/designer/transformation/base/UIContext.html" title="class in org.eclipse.papyrus.designer.transformation.base">UIContext</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#usedNamespaces-org.eclipse.uml2.uml.NamedElement-">usedNamespaces(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
&nbsp;</dd>
</dl>
<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.ECreateKind.html#valueOf-java.lang.String-">valueOf(String)</a></span> - Static method in enum org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.ECreateKind.html" title="enum in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil.ECreateKind</a></dt>
<dd>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.ECreateKind.html#values--">values()</a></span> - Static method in enum org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/MapUtil.ECreateKind.html" title="enum in org.eclipse.papyrus.designer.transformation.base.utils">MapUtil.ECreateKind</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#varName-org.eclipse.uml2.uml.NamedElement-">varName(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">A small helper function that makes names compliant with variable
 names in programming languages such as C++ or Java
 Unlike varName2, replace scoping signs as well</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#varName-java.lang.String-">varName(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">A small helper function that makes names compliant with variable
 names in programming languages such as C++ or Java
 Unlike varName2, replace scoping signs as well</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#varName2-org.eclipse.uml2.uml.NamedElement-">varName2(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">A small helper function that makes names compliant with variable
 names in programming languages such as C++ or Java
 TODO: obviously, it is not complete (e.g.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#varName2-java.lang.String-">varName2(String)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Like varName, but does not replace "." with "_"</div>
</dd>
</dl>
<a name="I:W">
<!--   -->
</a>
<h2 class="title">W</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html#warn-java.lang.String-">warn(String)</a></span> - Method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/FilteringLogHelper.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">FilteringLogHelper</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:X">
<!--   -->
</a>
<h2 class="title">X</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html#xmlID-org.eclipse.uml2.uml.Element-">xmlID(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.transformation.base.utils.<a href="org/eclipse/papyrus/designer/transformation/base/utils/ElementUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils">ElementUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span></div>
<div class="block">Get the XML (URI) Id of an element within your model
 Useful for transmitting model references</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:Q">Q</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<a href="#I:X">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
